For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update organization details

Update details for an organization. Partial updates are allowed.

Required permissions: ORGANIZATION

put
/tenants/{tenantUid}/organizations/{organizationUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
organizationUidstringRequired

Reference to an organization.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
addressstringOptional
citystringOptional
countryCodestringOptional
emailstringOptional
externalIdstringOptional
isActivebooleanOptional
namestringRequired
phonestringOptional
postalCodestringOptional
vatNumberstringOptional

VAT identification number for value added tax reporting purposes.

websiteUrlstringOptional
Responses
201

Example response

application/json
addressstringRequired
citystringRequired
countryCodestringRequired
createdAtstring · date-timeRequired
emailstringRequired
externalIdstringRequired
isActivebooleanRequired
lastModifiedAtstring · date-timeRequired
namestringRequired
postalCodestringRequired
phonestringRequired
organizationUidstringRequiredPattern: ^[A-Za-z0-9-_]+
vatNumberstringRequired

VAT identification number for value added tax reporting purposes.

websiteUrlstringRequired
put/tenants/{tenantUid}/organizations/{organizationUid}
PUT /v2/tenants/{tenantUid}/organizations/{organizationUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 436

{
  "address": "text",
  "city": "text",
  "countryCode": "text",
  "email": "text",
  "externalId": "text",
  "isActive": true,
  "name": "text",
  "phone": "text",
  "postalCode": "text",
  "vatNumber": "text",
  "websiteUrl": "text",
  "bankInfo": {
    "accountNumber": "text",
    "bankName": "text",
    "iban": "text",
    "swift": "text",
    "giroAccountNumber": "text"
  },
  "appSettings": {
    "requireGtinScanBeforeDeliverOut": true
  },
  "fiscal": {
    "credentials": {
      "unitId": "text",
      "apiKey": "text",
      "secret": "password"
    }
  }
}
201

Example response

{
  "address": "text",
  "city": "text",
  "countryCode": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "email": "text",
  "externalId": "text",
  "isActive": true,
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "name": "text",
  "postalCode": "text",
  "phone": "text",
  "organizationUid": "text",
  "vatNumber": "text",
  "bankInfo": {
    "accountNumber": "text",
    "bankName": "text",
    "iban": "text",
    "swift": "text",
    "giroAccountNumber": "text"
  },
  "websiteUrl": "text",
  "appSettings": {
    "requireGtinScanBeforeDeliverOut": true
  },
  "fiscal": {
    "unitId": "text",
    "credentialsStored": true,
    "taxpayerId": "text",
    "taxpayerState": ""
  }
}

Last updated

Was this helpful?